SG_LUNS(8)

NAME
sg_luns - send the SCSI REPORT LUNS command

SYNOPSIS
sg_luns [--decode] [--help] [--hex] [--quiet] [--raw] [--select=SR] [--verbose] [--version] DEVICE

DESCRIPTION

Send the SCSI REPORT LUNS command to the DEVICE and outputs the response. In the SPC-3 SCSI standard support for this command is mandatory.

OPTIONS
Arguments to long options are mandatory for short options as well.

-d, --decode
    decode logical unit numbers into their hierarchical parts. Interprets luns as described in SAM-3 when the HiSup bit is set in a standard INQUIRY's response.

-h, --help
    output the usage message then exit.

-H, --hex
    output response to this command in ASCII hex.

-q, --quiet
    output ASCII hex rendering of each report lun, one per line.

-r, --raw
    output response in binary (to stdout).

-s, --select=SR
    this option sets the 'select report' field (SR) in the SCSI REPORT LUNS command. The default value is 0. When 0 is given (or this option is not specified) then the DEVICE should yield a list of luns addressable via this "I_T nexus" that use the following lun addressing methods: logical unit addressing, peripheral device addressing and flat space addressing. When 1 is given the DEVICE should yield a list of only "well known" logical units addressable via this "I_T" nexus. When 2 is given the DEVICE should yield all luns addressable via this "I_T" nexus. To simplify, for the I_T nexus associated with the DEVICE, the meanings of the SR values are:
      0 : all luns excluding well known logical units
      1 : well known logical units
      2 : all luns
    Values greater than 2 are reserved (at SPC-4 (rev 8)).

-v, --verbose
    increase the level of verbosity, (i.e. debug output).

-V, --version
    print the version string and then exit.

EXIT STATUS
The exit status of sg_luns is 0 when it is successful. Otherwise see the sg3_utils(8) man page.

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2004-2007 Douglas Gilbert
This software is distributed under a FreeBSD license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
sg_inq(8)